%global pypi_name mirakuru

Name:           python-%{pypi_name}
Version:        2.4.1
Release:        2%{?dist}
Summary:        A process orchestration tool designed for functional and integration tests

License:        LGPLv3+
URL:            https://github.com/ClearcodeHQ/mirakuru
Source0:        https://github.com/ClearcodeHQ/mirakuru/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# for check
BuildRequires:  netcat
BuildRequires:  procps-ng
BuildRequires:  python-unversioned-command


%description
A python library that starts your subprocess and waits for a clear indication,
that it's running (process orchestrator)

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Mirakuru is a process orchestration tool designed for functional and
integration tests

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest --no-cov

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS.rst CHANGES.rst README.rst

%changelog
* Tue Aug 10 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.4.1-2
- Changes based on #1991135 review

* Fri Aug 06 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.4.1-1
- Initial version
